curl --request POST \
--url https://api.eu.linqalpha.com/v1/briefings \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"topic": "<string>",
"scheduled_time": "<string>",
"timezone": "<string>",
"stock_ids": [
"<string>"
],
"tickers": [
"<string>"
],
"frequency": "daily",
"scheduled_day_of_week": 3,
"scheduled_day_of_month": 16,
"title": "<string>",
"source_type": "tfs_only",
"attach_pdf": false,
"is_active": true,
"rms_sources": [
{
"source": "<string>",
"workspace": "<string>"
}
],
"watchlist_group_id": "<string>",
"use_custom_email_title": false,
"organization_id": "<string>",
"user_id": "<string>",
"user_email": "<string>",
"user_name": "<string>"
}
'import requests
url = "https://api.eu.linqalpha.com/v1/briefings"
payload = {
"topic": "<string>",
"scheduled_time": "<string>",
"timezone": "<string>",
"stock_ids": ["<string>"],
"tickers": ["<string>"],
"frequency": "daily",
"scheduled_day_of_week": 3,
"scheduled_day_of_month": 16,
"title": "<string>",
"source_type": "tfs_only",
"attach_pdf": False,
"is_active": True,
"rms_sources": [
{
"source": "<string>",
"workspace": "<string>"
}
],
"watchlist_group_id": "<string>",
"use_custom_email_title": False,
"organization_id": "<string>",
"user_id": "<string>",
"user_email": "<string>",
"user_name": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
topic: '<string>',
scheduled_time: '<string>',
timezone: '<string>',
stock_ids: ['<string>'],
tickers: ['<string>'],
frequency: 'daily',
scheduled_day_of_week: 3,
scheduled_day_of_month: 16,
title: '<string>',
source_type: 'tfs_only',
attach_pdf: false,
is_active: true,
rms_sources: [{source: '<string>', workspace: '<string>'}],
watchlist_group_id: '<string>',
use_custom_email_title: false,
organization_id: '<string>',
user_id: '<string>',
user_email: '<string>',
user_name: '<string>'
})
};
fetch('https://api.eu.linqalpha.com/v1/briefings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {},
"payload": {
"id": "<string>",
"title": "<string>",
"topic": "<string>",
"tickers": [
"<string>"
],
"language": "<string>",
"scheduled_time": "<string>",
"timezone": "<string>",
"frequency": "daily",
"scheduled_day_of_week": 123,
"scheduled_day_of_month": 123,
"next_delivery_at": "<string>",
"is_active": true,
"source_type": "<string>",
"attach_pdf": true,
"created_at": "<string>",
"updated_at": "<string>"
}
}Create Briefing Schedule
Create a new briefing with topic, tickers, and schedule in a single call.
Stock Selection
You can specify stocks in two ways:stock_ids(recommended) — Internal stock UUIDs. Use the Map Tickers endpoint to convert ticker symbols to stock IDs first.tickers— Ticker symbols (e.g.["AAPL", "MSFT"]). Automatically resolved to stock IDs via the ticker mapping service. If resolution fails, the request will return an error.
stock_ids and tickers are provided, stock_ids takes priority.
Scheduled Time Format
Thescheduled_time field must be in 12-hour AM/PM format:
"9:00 AM","3:30 PM","12:00 PM"
Timezone
Must be a valid IANA timezone identifier. Common examples:| Region | Timezone |
|---|---|
| Korea | Asia/Seoul |
| Hong Kong | Asia/Hong_Kong |
| China | Asia/Shanghai |
| Singapore | Asia/Singapore |
| Taiwan | Asia/Taipei |
| Japan | Asia/Tokyo |
| India | Asia/Calcutta |
| Indonesia | Asia/Jakarta |
| Malaysia | Asia/Kuala_Lumpur |
| Australia | Australia/Sydney |
| UK | Europe/London |
| US East | America/New_York |
| US West | America/Los_Angeles |
| US Central | America/Chicago |
| UTC | UTC |
Language
Supported values:English, Spanish, French, German, Italian, Portuguese, Dutch, Hindi, Japanese, Chinese, Finnish, Korean, Polish, Russian, Turkish, Ukrainian, Vietnamese. Pass null for auto-detection.
Authentication
For platform API keys, you can optionally passorganization_id, user_id, user_email, and user_name in the request body to specify which user the briefing is created for.Authorizations
Body
Briefing instructions/topic
Time in h:mm AM/PM format. Examples: '9:00 AM', '3:30 PM'
IANA timezone identifier (e.g. America/New_York, Asia/Seoul, Europe/London)
Internal stock UUIDs (preferred). Use /v1/map_tickers to convert ticker symbols.
Ticker symbols (e.g. AAPL, 9988.HK). Auto-resolved to stock_ids.
Output language (null = auto-detect)
English, Spanish, French, German, Italian, Portuguese, Dutch, Hindi, Japanese, Chinese, Finnish, Korean, Polish, Russian, Turkish, Ukrainian, Vietnamese daily, weekly, monthly Day of week for weekly frequency (0=Sun, 1=Mon, ..., 6=Sat)
0 <= x <= 6Day of month for monthly frequency
1 <= x <= 31Custom briefing title (auto-generated if omitted)
Data source: tfs_only (news+filings), rms_only (uploaded documents), both
tfs_only, rms_only, both Attach briefing as PDF to delivery email
Enable/disable the schedule
RMS source configurations for storage-based briefing
Show child attributes
Show child attributes
Link to watchlist group for dynamic ticker sync
Use briefing title as fixed email subject
Platform (EDS) keys only: org UUID under the key's platform. Ignored by org-bound keys.
Platform (EDS) keys only: the target user's customer_id (your external user id, not a UUID). Ignored by org-bound keys.
Platform (EDS) keys only: the target user's email (used to find or create the user). Ignored by org-bound keys.
Platform (EDS) keys only: optional display name (used only when creating the user).